/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	XMSBase のXMOEntyrテーブル データ保持クラス
//			変更履歴
//				2004.01.08	新規作成	二條智文
//
package jp.co.ntt.lms.xmo.Base;

import java.util.Hashtable;

/**
 * XMSBase のXMOEntry テーブルのデータ保持クラスです。<BR>
 * このクラスはXMOEntryテーブルの検索結果をサーバからクライアントに
 * 送信するときに使用されます。<BR>
 * 直列化のためにjava.io.Serializableインタフェースを実装します。
 * @author T.Nijou
 * @version 0.0.0.1 2004/01/08
 */
public class XMOEntryData implements java.io.Serializable {

	/** XMOIDを保持します */
	private String pstrXmoID = null;
	/** 名前を保持します */
	private String pstrXmoName = null;
	/** 概要を保持します */
	private String pstrXmoOutLine = null;
	/** URIを保持します */
	private String pstrXmoUri = null;
	/** 稼動フラグ */
	private String pstrXmoOnFlg = null;
	/** XMOクラス名 フィールド */
	private String pstrClassName = null;
	/** ツリービュータイプを保持します */
	private String pstrTreeViewType = null;
	/** IniMenuを保持します */
	private String pstrIniMenu = null;
	/** 優先度を保持します */
	private String pstrPriority = null;

	/**
	 * XMOIDを設定します
	 * @param astrXmoID XMOID
	 */
	public void setXmoID( String astrXmoID ) {
		pstrXmoID = astrXmoID;
	}

	/**
	 * XMOIDを取得します
	 * @return String XMOID
	 */
	public String getXmoID() {
		return pstrXmoID;
	}

	/**
	 * 名前を設定します
	 * @param astrXmoName 名前
	 */
	public void setXmoName( String astrXmoName ) {
		pstrXmoName = astrXmoName;
	}

	/**
	 * 名前を取得します
	 * @return String 名前
	 */
	public String getXmoName() {
		return pstrXmoName;
	}

	/**
	 * 概要を設定します
	 * @param astrXmoOutLine 概要
	 */
	public void setXmoOutLine( String astrXmoOutLine ) {
		pstrXmoOutLine = astrXmoOutLine;
	}

	/**
	 * 概要を取得します
	 * @return String 概要
	 */
	public String getXmoOutLine() {
		return pstrXmoOutLine;
	}

	/**
	 * URIを設定します
	 * @param astrXmoUri URI
	 */
	public void setXmoUri( String astrXmoUri ) {
		pstrXmoUri = astrXmoUri;
	}

	/**
	 * URIを取得します
	 * @return String URI
	 */
	public String getXmoUri() {
		return pstrXmoUri;
	}

	/**
	 * 稼動フラグを設定します
	 * @param astrXmoOnFlg 稼動フラグ
	 */
	public void setXmoOnFlg( String astrXmoOnFlg ) {
		pstrXmoOnFlg = astrXmoOnFlg;
	}

	/**
	 * 稼動フラグを取得します
	 * @return String 稼動フラグ
	 */
	public String getXmoOnFlg() {
		return pstrXmoOnFlg;
	}

	/**
	 * XMOクラス名を設定します
	 * @param astrClassName XMOクラス名
	 */
	public void setClassName( String astrClassName ) {
		pstrClassName = astrClassName;
	}

	/**
	 * XMOクラス名を取得します
	 * @return String XMOクラス名
	 */
	public String getClassName() {
		return pstrClassName;
	}

	/**
	 * ツリービュータイプを設定します
	 * @param astrTreeViewType ツリービュータイプ
	 */
	public void setTreeViewType( String astrTreeViewType ) {
		pstrTreeViewType = astrTreeViewType;
	}

	/**
	 * ツリービュータイプを取得します
	 * @return String ツリービュータイプ
	 */
	public String getTreeViewType() {
		return pstrTreeViewType;
	}

	/**
	 * 初期メニュー名称を設定します
	 * @param astrIniMenu IniMenu
	 */
	public void setIniMenu( String astrIniMenu ) {
		pstrIniMenu = astrIniMenu;
	}

	/**
	 * 初期メニュー名称を取得します
	 * @return String IniMenu
	 */
	public String getIniMenu() {
		return pstrIniMenu;
	}

	/**
	 * 優先度を設定します
	 * @param astrPriority 優先度
	 */
	public void setPriority( String astrPriority ) {
		pstrPriority = astrPriority;
	}

	/**
	 * 優先度を設定します
	 * @return String 優先度
	 */
	public String getPriority() {
		return pstrPriority;
	}

}

